<template>
  <div :class="activedTab" class="relative">
    <div :class="{ 'remove-header-footer': !included }">
      <PeruHeader :property-keys="['logo', 'announcement']"></PeruHeader>
    </div>
    <GreenBanner
      v-if="
        included &&
        !['login', 'register', 'agentcooperation'].includes(activedTab)
      "
      :actived-tab="activedTab"
      :banner-keys="bannerKeys"
      height="460px"
    />
    <div class="full-container" :class="activedTab">
      <template v-if="backgroundImage">
        <img :src="backgroundImage" class="peru-bg top" />
      </template>
      <div
        :class="[
          {
            'remove-body-container-style':
              ['login', 'register'].includes(activedTab) || !included,
          },
          { 'except-remove-style': exceptRemoveStyle.includes(activedTab) },
        ]"
        class="body-container"
      >
        <slot container-class="mx-auto container min-h-[70vh]"></slot>
      </div>
      <template v-if="backgroundImage">
        <img :src="backgroundImage" class="peru-bg bottom" />
      </template>
    </div>
    <div :class="{ 'remove-header-footer': !included }">
      <PeruFooter
        :information-enabled="true"
        :property-keys="[
          'footer_game_provider',
          'footer_payment_method',
          'footer_menu_info_',
          'footer_website_introduce_title',
          'footer_website_introduce_content',
          'footer_copyright',
        ]"
      ></PeruFooter>
    </div>
    <inactivity-ads />
    <theme-desktop-peru-login-dialog />
    <theme-desktop-peru-sidebar class="peru-side-bar" />
    <theme-desktop-peru-agent-cooperation-dialog />
    <theme-desktop-peru-register-dialog
      v-if="!register.IsHidden && !isRegister"
      class="show-rigister"
    />
  </div>
</template>

<script lang="ts">
import GreenBanner from "@/components/theme/desktop/peru/components/banner.client.vue";
import PeruFooter from "@/components/theme/desktop/peru/components/footer-website-information.client.vue";
import PeruHeader from "@/components/theme/desktop/peru/components/header-website.client.vue";
import InactivityAds from "@/components/theme/desktop/peru/components/inactivity-ads.client.vue";
import _ from "lodash";
import { computed, defineComponent } from "vue";
import { store } from "~~/store";

export default defineComponent({
  name: "App",
  components: { PeruHeader, PeruFooter, GreenBanner, InactivityAds },
  setup() {
    const array: Array<string> = [
      "home",
      "sports",
      "virtualsports",
      "livecasino",
      "games",
      "keno",
      "cockfight",
      "lottery",
      "poker",
      "promotion",
      "login",
      "register",
      "agentcooperation",
    ];
    const exceptRemoveStyle = ["profile"];

    const route = useRoute();
    const tabSelected = computed(() =>
      _.replace(_.replace(route.path.split("/")[1], "-", ""), "/", "")
    );
    const activedTab = computed(() =>
      tabSelected.value !== "" ? tabSelected.value : "Home"
    );
    const included = computed(() =>
      _.includes(array, _.toLower(activedTab.value))
    );
    const themeProperties =
      store.state.companyThemePropertiesFromApi.ThemeProperties;
    const background = themePropertyHelper.getSingleThemeProperty(
      themeProperties,
      "background"
    ).ImagePath;
    const register = computed(() =>
      themePropertyHelper.getSingleThemeProperty(themeProperties, "register")
    );
    const login = computed(() =>
      themePropertyHelper.getSingleThemeProperty(themeProperties, "login")
    );
    const { getAssetImage } = commonHelper;
    const backgroundImage = getAssetImage(
      "assets/theme/green_peru/images/background.png"
    );
    const bannerKeys: Record<string, string> = {
      home: "lobby_banner_",
      sports: "sport_banner_",
      virtualsports: "virtual_sport_banner_",
      livecasino: "live_casino_banner_",
      games: "game_banner_",
      poker: "poker_banner_",
      lottery: "lottery_banner_",
      cockfight: "cockfight_banner_",
      promotion: "promotion_banner_",
    };
    const isRegister = computed(() => useRoute().name === 'register');
    return {
      included,
      activedTab,
      bannerKeys,
      register,
      login,
      background,
      exceptRemoveStyle,
      backgroundImage,
      isRegister,
    };
  },
});
</script>
<style lang="scss">
[layout="peru"] div.container {
  width: unset;
}
[layout="peru"] {
  .full-container {
    position: relative;
  }
  .peru-bg {
    position: absolute;
    width: 100%;
    left: 0;
    user-select: none;
    pointer-events: none;
    z-index: -1;
    &.top {
      top: 0;
      clip-path: polygon(0 0, 100% 0%, 50% 50%, 0% 100%);
    }
    &.bottom {
      bottom: 0;
      clip-path: polygon(50% 50%, 100% 0%, 100% 100%, 0% 100%);
    }
  }
}
@media only screen and (max-width: 639px) {
  .remove-header-footer {
    display: none;
  }
  .body-container.remove-body-container-style:not(.except-remove-style) {
    all: unset;
  }
  .hidden-desktop-version {
    display: none;
  }
  .uc-section-title {
    height: 52px;
    background: var(--background3) !important;
  }
  .el-tabs__nav {
    height: 40px;
  }
  [layout="peru"] {
    .uc-section .el-tabs__item {
      height: 40px !important;
      a {
        padding: unset;
        height: 40px;
        display: flex;
        align-items: center;
      }
    }
  }
}
@media only screen and (min-width: 640px) {
  .hidden-mobile-version {
    display: none;
  }
  .hidden-desktop-version {
    display: block;
    height: 600px;
  }

  @media screen and (min-width: 1280px) {
    .body-container {
      margin: 40px auto;
      width: 1200px;
    }

    .footer-container {
      width: 1200px;
    }

    .header-container {
      max-width: 1200px;
    }
  }
}
@media screen and (min-width: 1024px) and (max-width: 1279px) {
  .body-container {
    margin: 40px auto;
    padding: 0 1rem;
  }

  @media screen and (max-width: 640px) {
    .body-container {
      margin: 16px auto;
      padding: 0 1rem;
      width: 100%;
    }
    .Promotion .body-container{
      width: 100%;
      margin: 0px;
      padding: 0px;
    }
    .footer-container {
      padding: 0 1rem;
      width: 100%;
    }

    .header-container {
      padding: 0 1rem;
      width: 100%;
    }

    .menu-header {
      --selected-text-color: var(--primary);
    }
  }
  .header-container {
    padding: 0 1rem;
  }
}
@media screen and (min-width: 1280px) {
  .body-container {
    margin: 40px auto;
    width: 1200px;
  }
  .footer-container {
    width: 1200px;
  }
  .header-container {
    width: 1200px;
  }
}
@media screen and (min-width: 640px) and (max-width: 1024px) {
  .body-container {
    margin: 16px auto;
    padding: 0 1rem;
    width: 100%;
  }
  .footer-container {
    padding: 0 1rem;
    width: 100%;
  }
  .header-container {
    padding: 0 1rem;
    width: 100%;
  }
}
@media screen and (max-width: 640px) {
  .body-container {
    margin: 16px auto;
    padding: 0 1rem;
    width: 100%;
  }
  .footer-container {
    padding: 0 1rem;
    width: 100%;
  }
  .header-container {
    padding: 0 1rem;
    width: 100%;
  }
  .menu-header {
    --selected-text-color: var(--primary);
  }
}
@media only screen and (max-width: 767px) {
  .login-register-image {
    display: none;
  }
  .login-register-form {
    width: 100%;
  }
}
@media only screen and (min-width: 768px) {
  .login-register-image {
    display: flex;
  }
  .login-register-form {
    width: 50%;
  }
}
@media only screen and (max-width: 1023px) {
  .login-register-image {
    width: 368px;
    overflow: hidden;
  }
  .remove-header-footer.except-remove-style {
    &:first-child {
      display: none;
    }
    > div:not(.footer-menu) {
      display: none;
    }
  }
  .body-container.except-remove-style {
    margin: 0;
  }
  .show-rigister {
    display: block;
  }
  .menu-main-content {
    height: 40px;
  }
  .peru__theme-display-time {
    display: none;
  }
  .vue3-marquee {
    margin-right: 16px;
  }
}
@media only screen and (min-width: 1024px) {
  .login-container {
    min-width: 944px;
    // height: 720px;
    .login-register-image {
      min-width: 544px;
      img {
        margin-top: unset;
      }
    }
    .login-register-form {
      width: 400px;
    }
  }
  .menu-main-content {
    height: 56px;
  }
  .show-rigister {
    display: none;
  }
}
@media only screen and (max-width: 639px) {
  .login-register-form {
    width: 100%;
  }
}
.login-register-form {
  .el-input__inner {
    background-color: transparent;
  }
}
.sidebar-dialog {
  outline: none;
}
.Game {
  .body-container {
    margin: unset;
    width: unset;
  }
}
.el-dialog:focus-visible {
  outline: unset;
}
[layout='peru'] {
  .uc-section{
    .el-table__empty-block {
      div {
        padding-bottom: 40px;
        padding-top: 40px;
      }
    }
    .el-input.is-disabled .el-input__inner {
      background: unset;
    }
    .user-center-table-container-max-height {
      height: 298px !important;
    }
    .border-table-wrapper {
      border: 2px solid var(--border);
      border-radius: 8px;
      table {
        th.is-center.el-table__cell {
          border-top: unset;
        }
        th:first-child, td.is-center.el-table__cell:first-child {
          border-left: unset;
        }
        th:last-child, td:last-child {
          border-right: unset;
        }
      }
    }
  }
}
</style>
<style lang="postcss">
.btn {
  @apply border-0 inline-block text-center text-white duration-300;
}
</style>
